import { FileOutput, GraphQLSchema, DocumentFile, Types, PluginFunction } from 'graphql-codegen-core';
export interface GenerateOutputOptions {
    filename: string;
    plugins: Types.ConfiguredPlugin[];
    schema: GraphQLSchema;
    documents: DocumentFile[];
    inheritedConfig: {
        [key: string]: any;
    };
}
export interface ExecutePluginOptions {
    name: string;
    config: Types.PluginConfig;
    schema: GraphQLSchema;
    documents: DocumentFile[];
}
export declare function executeCodegen(config: Types.Config): Promise<FileOutput[]>;
export declare function generateOutput(options: GenerateOutputOptions): Promise<FileOutput>;
export declare function getPluginByName(name: string): Promise<{
    plugin: PluginFunction;
}>;
export declare function executePlugin(options: ExecutePluginOptions): Promise<string>;
